{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Vorname',
        'columnId': 'vorname',
        'ariaLabelId': 'firstname',
        'ariaLabelName': 'Firstname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Name',
        'columnId': 'name',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Position',
        'columnId': 'position',
        'ariaLabelId': 'position',
        'ariaLabelName': 'Position'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Telefon',
        'columnId': 'telefon',
        'ariaLabelId': 'phonenumber',
        'ariaLabelName': 'Phonenumber'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Mobil',
        'columnId': 'mobil',
        'ariaLabelId': 'mobile-number',
        'ariaLabelName': 'Mobile Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'E-Mail',
        'columnId': 'email',
        'ariaLabelId': 'email',
        'ariaLabelName': 'email'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('person_management_contact_edit', {'personId': personId, 'contactId': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.firstName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPosition() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPhoneNumber() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getMobilePhoneNumber() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getEmail() }}</td>
{% endblock %}
